## uptimed 0.03

=== Makefile ===
CFLAGS=-O3 -Wall
TARGET=uptimed uprecords

all: $(TARGET)

clean:
	rm -f $(TARGET)

uptimed: uptimed.c
	gcc $(CFLAGS) -o uptimed uptimed.c

uprecords: uprecords.c
	gcc $(CFLAGS) -o uprecords uprecords.c

install:
	install -m 755 uptimed /usr/local/sbin
	install -m 755 uprecords /usr/local/bin

## uptimed 0.3.16-1maemo1

=== debian/changelog ===
uptimed (1:0.3.16-1maemo1) unstable; urgency=low

  * New upstream release.
  * Fixed automake problems.
  * Removed locales not supported on Maemo.
  * Remove perl & debconf dependencies.

 -- Faheem Pervez <trippin1@gmail.com>  Sun,  1 Feb 2009 18:02:08 +0000

uptimed (1:0.3.12-2) unstable; urgency=low

  * Closes: #460058: add LSB formatted dependency info in init.d script
    (patch from Petter Reinholdtsen)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 13 Jan 2008 17:50:25 +0100

uptimed (1:0.3.12-1) unstable; urgency=low

  * New upstream release
  * uprecords shows more stats

 -- Thibaut VARENE <varenet@debian.org>  Thu, 06 Dec 2007 11:57:59 +0100

uptimed (1:0.3.11-1) unstable; urgency=low

  * New upstream release
  * [INTL:it] Italian debconf templates translation (Closes: #422916)

 -- Thibaut VARENE <varenet@debian.org>  Wed, 09 May 2007 14:28:51 +0200

uptimed (1:0.3.10-3) unstable; urgency=medium

  * [INTL:gl] Galician translation (Closes: #412642)
  * Change Maintainer/Uploaders in accordance with Daniel

 -- Thibaut VARENE <varenet@debian.org>  Mon,  5 Mar 2007 14:55:25 +0100

uptimed (1:0.3.10-2) unstable; urgency=medium

  * [INTL:pt] Portuguese translation (Closes: #412038)
  * Fix not-binnmuable-all-depends-any uprecords-cgi -> uptimed

 -- Thibaut VARENE <varenet@debian.org>  Fri, 23 Feb 2007 04:04:04 +0100

uptimed (1:0.3.10-1) unstable; urgency=medium

  * Sync with upstream versionning
  * No longer truncates kernel version strings (Closes: #192395)

 -- Thibaut VARENE <varenet@debian.org>  Tue, 20 Feb 2007 03:11:39 +0100

uptimed (1:0.3.8-3) unstable; urgency=low

  * [INTL:es] Spanish po-debconf translation (Closes: #404491)
  * Small patch to fix end of line ANSI codes (Closes: #256968)

 -- Thibaut VARENE <varenet@debian.org>  Mon,  1 Jan 2007 02:38:33 +0100

uptimed (1:0.3.8-2) unstable; urgency=low

  * Fix Makefile.in (missing $(DESTDIR))

 -- Thibaut VARENE <varenet@debian.org>  Sun,  3 Dec 2006 14:32:30 +0100

uptimed (1:0.3.8-1) unstable; urgency=low

  * New upstream release
  * uprecords.cgi now uses default files in /etc/uprecords-cgi (Closes: #383516)
  * Acknowledgement for NMU (Closes: #389834)

 -- Thibaut VARENE <varenet@debian.org>  Fri, 24 Nov 2006 23:47:32 +0100

uptimed (1:0.3.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace libuptimed for smooth sarge to etch upgrades. (Closes: #388314)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 28 Sep 2006 02:17:57 +0200

uptimed (1:0.3.7-3) unstable; urgency=low

  * fix broken dependency libuptimed-dev -> libuptimed

 -- Thibaut VARENE <varenet@debian.org>  Thu,  6 Jul 2006 04:56:19 +0200

uptimed (1:0.3.7-2) unstable; urgency=low

  * background color patch back in

 -- Thibaut VARENE <varenet@debian.org>  Sat, 24 Jun 2006 01:12:28 +0200

uptimed (1:0.3.7-1) unstable; urgency=low

  * [INTL:sv] Swedish debconf templates translation (Closes: #351313)
  * [INTL:nl] New dutch po-debconf translation (Closes: #364918)
  * upstream maintainership changed, new version (Closes: #350953)
  * Cleaned up debian/* - added watchfile
  * Adding myself to Uploaders

 -- Thibaut VARENE <varenet@debian.org>  Mon,  5 Jun 2006 17:22:32 +0200

uptimed (1:0.3.3-8) unstable; urgency=low

  * changed dependency to | debconf-2.0 (Closes: #332134)
  * added Vietnamese translation (Closes: #324066)

 -- Daniel Gubser <guterm@debian.org>  Fri, 14 Oct 2005 07:28:41 +0200

uptimed (1:0.3.3-7) unstable; urgency=low

  * downgraded automake to 1.4 for building (Closes: #316585) 

 -- Daniel Gubser <guterm@debian.org>  Wed,  6 Jul 2005 08:11:49 +0200

uptimed (1:0.3.3-6) unstable; urgency=low

  * corrected disparities in section for libuptimed and libuptimed-dev 

 -- Daniel Gubser <guterm@debian.org>  Tue, 28 Jun 2005 15:25:23 +0200

uptimed (1:0.3.3-5) unstable; urgency=low

  * added Portuguese translation to PO files (Closes: #307124) 

 -- Daniel Gubser <guterm@debian.org>  Tue, 28 Jun 2005 10:20:40 +0200

uptimed (1:0.3.3-4) unstable; urgency=low

  * changed depency to libtool (Closes: #307487)
  * sends E-Mails again (Closes: #274635, #280701)
  * changed links to active Homepage (Closes: #300841)
  * added translation for Czech translation (Closes: #298211)
  * updated automake version to 1.9

 -- Daniel Gubser <guterm@debian.org>  Wed, 22 Jun 2005 06:54:52 +0200

uptimed (1:0.3.3-3) unstable; urgency=low

  * use the right version scheme (non NMU's)
  * ACK closes bugs (Closes: #276977, #143434, #209801, #167486, #167486)
  * and more bugs (Closes: #184910, #207425, #220819, #224702,	#224818)
  * and (Closes: #166324, #221901, #259477)

 -- Daniel Gubser <guterm@debian.org>  Wed,  6 Apr 2005 06:11:14 +0200

uptimed (1:0.3.3-2.4) unstable; urgency=low

  * corrected the Depends to Build-Depends (Closes: #300790)
  * changed the background-color for uptimed-cgi (Closes: #300942)

 -- Daniel Gubser <guterm@debian.org>  Wed, 23 Mar 2005 06:30:44 +0100

uptimed (1:0.3.3-2.3) unstable; urgency=low

  * added Build-Depends to automake1.4 + libtool1.4 (Closes: #300790) 

 -- Daniel Gubser <guterm@debian.org>  Tue, 22 Mar 2005 10:38:48 +0100

uptimed (1:0.3.3-2.2) unstable; urgency=low

  * NMU.
  * Install urec.h as /usr/include/uptimed.h instead.

 -- Robert Millan <rmh@debian.org>  Mon,  7 Feb 2005 16:44:46 +0100

uptimed (1:0.3.3-2.1) unstable; urgency=low

  * NMU (with maintainer's permission).
  * Add libuptimed-dev package with headers and static objects.  Thanks
    Robin Elfrink.  (Closes: #259477)
  * Update libtool and config.{guess,sub}.

 -- Robert Millan <rmh@debian.org>  Mon,  7 Feb 2005 15:48:00 +0100

uptimed (1:0.3.3-2) unstable; urgency=low

  * added patch to Enable kernel-specific read_uptime for GNU/k*BSD 
    (Closes: #259472)
  * Changed source for correct location of header & footer for 
    uprecords-cgi (Closes: #281262)
  * Corrected uprecords.postinst (Closes: #255501)

 -- Daniel Gubser <guterm@debian.org>  Fri,  4 Feb 2005 12:02:59 +0100



## uptimed 0.3.16-1maemo2

=== debian/changelog ===
uptimed (1:0.3.16-1maemo2) unstable; urgency=low

  * Fixed removal purge problem.

 -- Faheem Pervez <trippin1@gmail.com>  Sun, 01 Feb 2009 19:57:13 +0000

## uptimed 0.3.16-1maemo3

=== debian/changelog ===
uptimed (1:0.3.16-1maemo3) unstable; urgency=low

  * Fixed removal purge problem again.
  * Stop uptimed daemon on removal.
  * Increase time to write log.

 -- Faheem Pervez <trippin1@gmail.com>  Sun, 01 Feb 2009 19:57:13 +0000

=== debian/control ===
Source: uptimed
Section: utils
Priority: extra
Original-Maintainer: Thibaut VARENE <varenet@debian.org>
Maintainer: Faheem Pervez <trippin1@gmail.com>
Original-Uploaders: Daniel Gubser <guterm@debian.org>
Build-Depends: debhelper (>= 4.1.16), automake1.4, libtool
Standards-Version: 3.7.3

Package: uptimed
Architecture: any
Depends: ${shlibs:Depends}
Description: Utility to track your highest uptimes
 Uptimed allows you to track your highest uptimes via boot IDs.
 It uses the system boot time to keep sessions apart from each
 other.
 .
 Features:
  - Console program to display statistics
  - Can send mail if a milestone or a new record is reached

Package: libuptimed0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libuptimed
Replaces: libuptimed
Description: Library for uptimed
 Uptimed allows you to track your highest uptimes via boot IDs.
 .
 Features:
 - Console program to display statistics
 - Can send mail if a milestone or a new record is reached

Package: libuptimed-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libuptimed0
Replaces: libuptimed
Description: Development files for uptimed
 Uptimed allows you to track your highest uptimes via boot IDs.
 .
 Features:
 - Console program to display statistics
 - Can send mail if a milestone or a new record is reached

Package: uprecords-cgi
Architecture: all
Depends: uptimed (>= ${source:Version})
Recommends: apache | httpd
Description: A CGI script to show the world your highest uptimes
 This CGI script produces a HTML report containing all your
 highest uptimes from the uptimed database.
 .
 Uptimed is a tool that allows you to track your highest uptimes
 via boot IDs. It uses the system boot time to keep sessions
 apart from each other.

## uptimed 0.3.16-1maemo4

=== debian/changelog ===
uptimed (1:0.3.16-1maemo4) unstable; urgency=low

  * Hopefully, fixing kill problem
  * Fixing removal purge problem for the last time. 

 -- Faheem Pervez <trippin1@gmail.com>  Mon,  2 Feb 2009 09:19:56 +0000

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# # from having to guess our platform (since we know it already)
# DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
# DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif



configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--sysconfdir=/etc
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	mv $(CURDIR)/debian/tmp/etc/uptimed.conf-dist \
		$(CURDIR)/debian/tmp/etc/uptimed.conf
	install -D -m 644 $(CURDIR)/libuptimed/urec.h \
		$(CURDIR)/debian/tmp/usr/include/uptimed.h

	dh_install

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
	dh_installinit -a -- defaults 99
	dh_installinit -a --name=uptimed.sh --no-start -- start 60 S .
#	dh_installcron -a
	dh_installman -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs ChangeLog -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a -L libuptimed -l debian/libuptimed/usr/lib/
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## uptimed 0.3.16-1maemo5

=== debian/changelog ===
uptimed (1:0.3.16-1maemo5) unstable; urgency=low

  * Make uptimed.sh script start upon bootup. 

 -- Faheem Pervez <trippin1@gmail.com>  Mon,  2 Feb 2009 16:24:23 +0000

=== debian/rules ===
--- 
+++ 
@@ -100,7 +100,7 @@
 #	dh_installpam -a
 #	dh_installmime -a
 	dh_installinit -a -- defaults 99
-	dh_installinit -a --name=uptimed.sh --no-start -- start 60 S .
+	dh_installinit -a --name=uptimed.sh -- defaults 98
 #	dh_installcron -a
 	dh_installman -a
 #	dh_installinfo -a

## uptimed 0.3.17

=== debian/changelog ===
uptimed (1:0.3.17-4) unstable; urgency=low

  * Convert to dh-systemd (Closes: #716818)
  * Updated Japanese translation (Closes: #712923)
  * Ack NMU (Closes: #677927)
  * Fix uprecords-cgi postinst (Closes: #734713)
  * (Config handling still needs love)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 26 Jan 2014 14:58:19 +0100

uptimed (1:0.3.17-3.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #674860
  * [Debconf translation updates]
    - Danish (Joe Hansen).  Closes: #675518
    - Russian (Yuri Kozlov).  Closes: #675565
    - Czech (Miroslav Kure).  Closes: #675580
    - Dutch; (Jeroen Schot).  Closes: #674852
    - Spanish; (Rudy Godoy).  Closes: #676138
    - French (Christian Perrier).  Closes: #676153
    - Italian (Luca Monducci).  Closes: #676278
    - Portuguese (Pedro Ribeiro).  Closes: #676284
    - Polish (Michał Kułach).  Closes: #676513
    - Polish (Michał Kułach).  Closes: #676513
    - Swedish (Martin Bagge / brother).  Closes: #676557
    - German (Holger Wansing).  Closes: #676788
    - Slovak (Ivan Masár).  Closes: #677283

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jun 2012 21:26:46 +0200

uptimed (1:0.3.17-3) unstable; urgency=low

  * Fix non-interactive setup, patch from Andreas Beckmann (Closes: #674624)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 27 May 2012 22:46:42 -0700

uptimed (1:0.3.17-2) unstable; urgency=low

  * Fix for systemd .service file from Shawn Landden

 -- Thibaut VARENE <varenet@debian.org>  Fri, 25 May 2012 11:34:51 -0700

uptimed (1:0.3.17-1) unstable; urgency=low

  * New upstream release (Closes: #648948, #650109)
  * Switch to dpkg-source 3.0 (quilt) format
  * Move PID to /run and provide systemd .service file (Closes: #657922)
  * Use maintscript support, patch from Colin Watson (Closes: #659797)
  * Add status in init script, patch from Peter Eisentraut (Closes: #645504)
  * Enabled hardened build
  * Fixed some lintian warnings

 -- Thibaut VARENE <varenet@debian.org>  Fri, 25 May 2012 17:47:05 -0700

uptimed (1:0.3.16-3.2) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Fix uptimed purge failure (Closes: #636596)
  * Change default recipient of milestone mails to root (Closes: #629322)
  * Fix uptimed debconf backup/cancel handling (Closes: #500497)
  * Fix lintian error weak-library-dev-dependency
  * Fix lintian warning for uprecords-cgi short description
  * Don't install uptimed.sh in rcS
  * Remove old uptimed.sh conffiles on upgrade
  * Add quilt patch system
  * Add patch to avoid the need to create a bootid file
    + no-bootid-file-on-linux.patch
    (The above four changes Closes: #626687)
  * Convert direct source edits to patches
    + uprecords-cgi-header-path.patch
    + uprecords-cgi-header-text-color.patch
  * Revert direct source edits since they are now patches
    - also remove src/test
  * Remove debian/foo
  * Add database corruption detection/recovery patch (Closes: #515653)
    - Authored by Thibaut VARENE, tested by Martin Steigerwald

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 27 Aug 2011 08:35:45 +0200

uptimed (1:0.3.16-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * With maintainer's agreement, remove Daniel Gubser from Uploaders
  * Some trivial lintian fixes:
    - Explicitly refer to GPL-2 license file in debian/copyright
    - Insert copyright information in debian/copyright
    - Add ${misc:Depends} to binary packages dependencies to
      properly cope with dependencies triggerred by debhelper
      utilities
    - Bump debhelper compatibility to 7. This also
      triggers the suggested replacement of "dh_clean -k" by
      dh_prep and increasing the build dependency on debhelper
    - Split Choices in debconf templates
  * Fix pending l10n issues. Debconf translations:
    - Russian (Yuri Kozlov).  Closes: #531206
    - Vietnamese (Clytie Siddall).  Closes: #569649
    - Slovak (Ivan Masár).  Closes: #570288
    - Fill in header field for German translation with safe
      values so that calls for translation updates may work
      While at it, convert the file to UTF-8.
    - While at it, convert ALL translations to UTF-8.

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Feb 2010 14:56:58 +0100

uptimed (1:0.3.16-3) unstable; urgency=low

  * Increase default db write time to 10 minutes
  * Use dh_makeshlibs -V

 -- Thibaut VARENE <varenet@debian.org>  Mon, 16 Feb 2009 20:01:42 +0100

uptimed (1:0.3.16-2) unstable; urgency=low

  * Make uptimed depend on up to date libuptimed (Closes: #514726)

 -- Thibaut VARENE <varenet@debian.org>  Tue, 10 Feb 2009 13:38:53 +0100

uptimed (1:0.3.16-1) unstable; urgency=low

  * New upstream release
  * Use a backup database (Closes: #482643,#504714)
  * Reformat descriptions (Closes: #480352)
  * [INTL:ja] Japanese po-debconf template translation (Closes: #512871)

 -- Thibaut VARENE <varenet@debian.org>  Mon, 09 Feb 2009 15:29:23 +0100

=== debian/control ===
Source: uptimed
Section: utils
Priority: extra
Maintainer: Thibaut VARENE <varenet@debian.org>
Build-Depends: debhelper (>= 8.1.0~), dpkg-dev (>> 1.16.1~), automake, libtool, po-debconf, dh-systemd
Standards-Version: 3.9.3
Homepage: http://podgorny.cz/uptimed

Package: uptimed
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base
Description: utility to track high uptimes - daemon
 The uptime daemon tracks a system's highest uptimes via boot IDs,
 using the system boot time to keep sessions apart from each other.
 It features a console program to display statistics, and can
 send mail if a milestone or a new record is reached.

Package: libuptimed0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Conflicts: libuptimed
Replaces: libuptimed
Description: utility to track high uptimes - library
 The uptime daemon tracks a system's highest uptimes via boot IDs,
 using the system boot time to keep sessions apart from each other.
 It features a console program to display statistics, and can
 send mail if a milestone or a new record is reached.
 .
 This package provides the library package for uptimed.

Package: libuptimed-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl, libuptimed0 (= ${binary:Version})
Replaces: libuptimed
Description: utility to track high uptimes - development files
 The uptime daemon tracks a system's highest uptimes via boot IDs,
 using the system boot time to keep sessions apart from each other.
 It features a console program to display statistics, and can
 send mail if a milestone or a new record is reached.
 .
 This is the development files package for uptimed.

Package: uprecords-cgi
Architecture: all
Depends: uptimed (>= ${source:Version}), ${misc:Depends},
Recommends: apache | httpd
Description: utility to track high uptimes - CGI script
 The uptime daemon tracks a system's highest uptimes via boot IDs,
 using the system boot time to keep sessions apart from each other.
 It features a console program to display statistics, and can
 send mail if a milestone or a new record is reached.
 .
 This package provides a CGI script that produces an HTML report
 containing all the highest uptimes from the uptimed database.

=== debian/rules ===
--- 
+++ 
@@ -13,28 +13,24 @@
 
 # These are used for cross-compiling and for saving the configure script
 # # from having to guess our platform (since we know it already)
-# DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-# DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -O0
-else
-        CFLAGS += -O2
-endif
-
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	CFLAGS="$(CFLAGS)" ./configure  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+	autoreconf --force --install
+	./configure  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
-		--sysconfdir=/etc
+		--sysconfdir=/etc \
+		$(shell dpkg-buildflags --export=configure)
 	touch configure-stamp
 
-build: build-stamp
+build-arch: build-stamp
+build-indep: build-stamp
+build: build-arch build-indep
+
 build-stamp: configure-stamp 
 	dh_testdir
 	$(MAKE)
@@ -43,6 +39,7 @@
 clean:
 	dh_testdir
 	dh_testroot
+	debconf-updatepo
 	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
@@ -50,7 +47,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs -A
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
@@ -66,6 +63,7 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
+	dh_installdebconf -i
 	dh_installdocs -i
 	dh_installexamples -i
 #	dh_installmenu -i
@@ -92,6 +90,7 @@
 binary-arch: build install
 	dh_testdir -a
 	dh_testroot -a
+	dh_installdebconf -a
 	dh_installdocs -a
 	dh_installexamples -a
 #	dh_installmenu -a
@@ -99,8 +98,9 @@
 #	dh_installemacsen -a
 #	dh_installpam -a
 #	dh_installmime -a
+	dh_systemd_enable
 	dh_installinit -a -- defaults 99
-	dh_installinit -a --name=uptimed.sh -- defaults 98
+	dh_systemd_start
 #	dh_installcron -a
 	dh_installman -a
 #	dh_installinfo -a
@@ -110,10 +110,10 @@
 	dh_link -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a
+	dh_makeshlibs -a -V
 	dh_installdeb -a
 #	dh_perl -a
-	dh_shlibdeps -a -L libuptimed -l debian/libuptimed/usr/lib/
+	dh_shlibdeps -a 
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a

=== debian/watch ===
version=3
http://podgorny.cz/uptimed/releases/ uptimed-(.*)\.tar\.bz2

## uptimed 0.4.0%2Bgit20150923.6b22106

=== debian/changelog ===
uptimed (1:0.4.0+git20150923.6b22106-2) unstable; urgency=medium

  * Remove the cgi package
  * Remove the shared library package
  * Remove the dev package
  * Run wrap-and-sort
  * Remove dependency on lsb-base
  * Move packaging vcs to salsa.debian.org
  * Use debhelper 11
  * Use secure uri for copyright specification
  * Update copyright years
  * [Debconf translation updates]
    - Portuguese (Traduz - DebianPT). (Closes: #874612)
    - Brazilian Portuguese (Adriano Rafael Gomes). (Closes: #883545)
  * Standards changes
  * Bump Standards-Version to 4.1.3.
  * Remove dh-systemd from build dependencies
  * Change priority from extra to optional
  * Lintian fixes
  * Remove trailing whitespaces on debian/changelog

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 03 Feb 2018 10:20:00 +0800

uptimed (1:0.4.0+git20150923.6b22106-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Brazilian Portuguese debconf templates translation.
    Thanks to Adriano Rafael Gomes (Closes: #770454)
  * Update Dutch debconf templates translation.
    Thanks to Frans Spiesschaert (Closes: #841654)
  * Build-Depends on opensp instead of obsolete sp (Closes: #845448)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 24 Nov 2016 16:32:47 +0100

uptimed (1:0.4.0+git20150923.6b22106-1) unstable; urgency=medium

  * New maintainer, thanks Thibaut Varene for your previous
    work (Closes: #830765)
  * Packaging is now maintained in collab-maint using a git repo
  * Add Vcs urls
  * Packaging an snapshot from upstream
  * Change dh compat to level 10.
  * More modern debian/rules
  * Bump Standards-Version to 3.9.8. No changes were needed
  * Change watch file to look at github
  * Add pristine-tar to git repo
  * Drop the Replaces/Conflicts with libuptimed, gone since Etch
  * Fix an spelling mistake on uprecords command.
  * Update d/copyright
    - change to DEP5 format
    - update years
    - add Lennart Poettering (src/sd-daemon.h
      src/sd-daemon.c)
    - add Free Software Foundation, Inc (src/getopt.c src/getopt.h)
  * Update Homepage field on debian/control (Closes: #806456)
  * Handle missing /etc/uptimed.conf (Closes: #680419)
  * Match the location of the $PIDFILE in the init script and the daemon
    configuration (Closes: #336922) (LP: #482629)
  * Debconf warns about data loss if MAX_RECORDS is reduced (Closes: #573232)
  * Change the default interval to save the database from 300 to 3600 seconds,
    this will save many disks writes, it is recommended to reduce this interval
    if the system crashes on intervals smaller than an hour.
  * uptimed.conf(5) man page updated
    - to reflect above changes
    - build from sgml
  * Override unused-debconf-template lintian warnings, the templates are
    in use but lintian doesn't detect them.
  * Remove perl dependency on libuptimed0 and libuptimed-dev, perl-base is
    enough
  * Simplify uptimed init.d script
  * Restart unconditionally on uptimed postinst
  * Create /run/uptimed via a tmpfile on systemd systems
  * Update uptimed's service file, to start after the time is in sync,
    uptime may record wrong values if it is started before the time
    is correct. On systems without an RTC it is recommended to use
    systemd-timesyncd
  * Update uptimed's service to provide uptimed's documentation
  * [Debconf translation updates]
    - Russian (Yuri Kozlov). (Closes: #839797)
    - Swedish (Martin Bagge). (Closes: #839828)
    - Czech (Miroslav Kure). (Closes: #839889)
    - Danish (Joe Dalton). (Closes: #839944)
    - Polish (Mirosław Gabruś).
    - Italian (Luca Monducci). (Closes: #840126)
    - French (Julien Patriarca). (Closes: #841054)
    - German (Holger Wansing).

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 18 Oct 2016 15:58:19 +0800

## uptimed 0.4.0+git20150923.6b22106

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,25 @@
 Source: uptimed
 Section: utils
 Priority: extra
-Maintainer: Thibaut VARENE <varenet@debian.org>
-Build-Depends: debhelper (>= 8.1.0~), dpkg-dev (>> 1.16.1~), automake, libtool, po-debconf, dh-systemd
-Standards-Version: 3.9.3
-Homepage: http://podgorny.cz/uptimed
+Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
+Build-Depends: automake,
+               debhelper (>= 10),
+               dh-systemd,
+               dpkg-dev (>> 1.16.1~),
+               libtool,
+	       opensp,
+	       sgmlspl,
+	       docbook-utils,
+               po-debconf
+Standards-Version: 3.9.8
+Homepage: https://github.com/rpodgorny/uptimed
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/uptimed.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/uptimed.git
 
 Package: uptimed
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Description: utility to track high uptimes - daemon
  The uptime daemon tracks a system's highest uptimes via boot IDs,
  using the system boot time to keep sessions apart from each other.
@@ -19,9 +29,7 @@
 Package: libuptimed0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, perl
-Conflicts: libuptimed
-Replaces: libuptimed
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: utility to track high uptimes - library
  The uptime daemon tracks a system's highest uptimes via boot IDs,
  using the system boot time to keep sessions apart from each other.
@@ -33,8 +41,9 @@
 Package: libuptimed-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, perl, libuptimed0 (= ${binary:Version})
-Replaces: libuptimed
+Depends: libuptimed0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: utility to track high uptimes - development files
  The uptime daemon tracks a system's highest uptimes via boot IDs,
  using the system boot time to keep sessions apart from each other.
@@ -45,7 +54,7 @@
 
 Package: uprecords-cgi
 Architecture: all
-Depends: uptimed (>= ${source:Version}), ${misc:Depends},
+Depends: uptimed (>= ${source:Version}), ${misc:Depends}
 Recommends: apache | httpd
 Description: utility to track high uptimes - CGI script
  The uptime daemon tracks a system's highest uptimes via boot IDs,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/uptimed-$1\.tar\.gz/ \
  https://github.com/rpodgorny/uptimed/releases .*/v?(\d\S*)\.tar\.gz

## uptimed 0.4.1

=== debian/changelog ===
uptimed (1:0.4.1-1) unstable; urgency=medium

  * Adopt the package. (Closes: #915816)
  * Fix Vcs-Browser header.
  * Update short description to fit the new one-package layout.
  * Set "Rules-Requires-Root: no".
  * Add a DEP-12 debian/upstream/metadata file.
  * Create debian/clean to clean up leftover debian/uptimed.conf.5 file.
  * Clean up debian/rules:
    + Don't run dh_clean in build target, use debian/clean instead.
    + Call onsgmls inside the debian directory. Calling mv no more needed.
    + Don't override dh_install for "make install", but dh_auto_install.
    + Actually use dh_auto_install instead of "$(MAKE) install" with
      Debian's default parameters.
    + Shorten some multiline commands using a variable for a common path.
    + Use plain "cp" instead of "install -D -m 644" since directory is
      already created via dh_installdirs.
  * Fix debian/gbp.conf:
    + Declare actually used upstream branch (master).
    + Drop what is default anyway (compression = xz).
    + Don't use the same tag syntax for Debian as upstream does, i.e. drop
      the non-standard upstream tag syntax declaration.
  * Import upstream version 0.4.1.
    + Switches from utmp.h to utmpx.h.
    + Documentation updates
    + Drop spelling-fixes.patch, applied upstream.
  * Drop redundant entries from debian/uptimed.{install,manpages,dirs}.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)
  * Apply "wrap-and-sort -a".

 -- Axel Beckert <abe@debian.org>  Tue, 19 Feb 2019 22:25:52 +0100

=== debian/control ===
Source: uptimed
Section: utils
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: automake,
               debhelper (>= 11),
               docbook-utils,
               dpkg-dev (>> 1.16.1~),
               libtool,
               opensp,
               po-debconf,
               sgmlspl
Standards-Version: 4.3.0
Homepage: https://github.com/rpodgorny/uptimed
Vcs-Browser: https://salsa.debian.org/debian/uptimed
Vcs-Git: https://salsa.debian.org/debian/uptimed.git
Rules-Requires-Root: no

Package: uptimed
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: libuptimed-dev,
          libuptimed0
Breaks: libuptimed-dev,
        libuptimed0
Provides: libuptimed-dev,
          libuptimed0
Description: daemon to track uptimes, especially the high ones
 The uptime daemon tracks a system's highest uptimes via boot IDs,
 using the system boot time to keep sessions apart from each other.
 It features a console program to display statistics, and can
 send mail if a milestone or a new record is reached.

## uptimed 0.4.2

=== debian/changelog ===
uptimed (1:0.4.2-1) unstable; urgency=medium

  * Import new upstream release 0.4.2.
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.

 -- Axel Beckert <abe@debian.org>  Sun, 08 Sep 2019 18:34:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: automake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                docbook-utils,
                dpkg-dev (>> 1.16.1~),
                libtool,
                opensp,
                po-debconf,
                sgmlspl
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/rpodgorny/uptimed
 Vcs-Browser: https://salsa.debian.org/debian/uptimed
 Vcs-Git: https://salsa.debian.org/debian/uptimed.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
U=debian/uptimed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	cp $(U)/etc/uptimed.conf-dist $(U)/etc/uptimed.conf
	cp libuptimed/urec.h $(U)/usr/include/uptimed.h

	dh_auto_install -Dlibuptimed

override_dh_auto_build:
	dh_auto_build
	cd debian && LC_ALL=C onsgmls uptimed.conf.sgml | sgmlspl sgmlspl-specs/docbook2man-spec.pl

## uptimed 0.4.3

=== debian/changelog ===
uptimed (1:0.4.3-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Import new upstream release 0.4.3.
  * Declare compliance with Debian Policy 4.5.1. (No changes required.)
  * Bump debhelper-compat level to 13.
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Rename lintian overrides as needed.
  * Declare all current patches as being debian-specific.

  [ Pino Toscano ]
  * Don't ship .la files as per Debian Policy §10.2. (Closes: #947835)

 -- Axel Beckert <abe@debian.org>  Thu, 31 Dec 2020 01:11:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: automake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                docbook-utils,
                dpkg-dev (>> 1.16.1~),
                libtool,
                opensp,
                po-debconf,
                sgmlspl
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/rpodgorny/uptimed
 Vcs-Browser: https://salsa.debian.org/debian/uptimed
 Vcs-Git: https://salsa.debian.org/debian/uptimed.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/uptimed-$1\.tar\.gz/ \
  https://github.com/rpodgorny/uptimed/releases .*/v?(\d\S*)\.tar\.gz

## uptimed 0.4.6

=== debian/changelog ===
uptimed (1:0.4.6-3) unstable; urgency=medium

  * Run fixup-duplicate-uprecords only if /var/spool/uptimed/records (or
    .old) exists. Fixes initial installation. Thanks Piuparts!

 -- Axel Beckert <abe@debian.org>  Mon, 07 Feb 2022 03:58:19 +0100

uptimed (1:0.4.6-2) unstable; urgency=low

  * Brown paper bag source only upload.

 -- Axel Beckert <abe@debian.org>  Sun, 16 Jan 2022 00:19:56 +0100

uptimed (1:0.4.6-1) unstable; urgency=low

  * debian/watch: Fix "uscan die: filenamemangle failed" error.
  * Import new upstream release 0.4.6.
    + Fixes uprecords issue "Shows duplicated entry and impossible
      values" which seems due to leap seconds. (Finally closes: #654830)
  * Add a script to clean up broken duplicate entries due to #654830
    (i.e. caused by leap seconds) and run that script at upgrade
    time. (The script does make database backups.)
  * Rename all debian/uptimed.<something> debhelper files to
    debian/<something> for easier maintenance.
  * debian/copyright:
    + Update copyright years and add myself.
    + Consequently order the copyright owners by first year ascending.
    + Consequently drop commata between years and names.
    + Remove superfluous second blank line between stanzas.

 -- Axel Beckert <abe@debian.org>  Sun, 09 Jan 2022 20:04:18 +0100

uptimed (1:0.4.5-1) unstable; urgency=medium

  * New upstream maintenance releases with only non-linux fixes.
  * Declare compliance with Debian Policy 4.6.0. (No changes required.)
  * debian/watch: follow pure git tags instead of Github-minted releases.

 -- Axel Beckert <abe@debian.org>  Thu, 04 Nov 2021 02:10:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                opensp,
                po-debconf,
                sgmlspl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/rpodgorny/uptimed
 Vcs-Browser: https://salsa.debian.org/debian/uptimed
 Vcs-Git: https://salsa.debian.org/debian/uptimed.git

=== debian/watch ===
version=4
opts=filenamemangle=s/v?(\d\S*)\.tar\.gz/uptimed-$1\.tar\.gz/ \
  https://github.com/rpodgorny/uptimed/tags .*/v?(\d\S*)\.tar\.gz
